<div class="container">
  <h1>Datos Personales</h1>
  <form [formGroup]="profileForm" (ngSubmit)="saveData()" class="form-eu">
    <div class="row ">
      <div class="col-sm-12 col-md-6 border-gray">
          <label for="fullName">Nombre Completo*</label>
          <input type="text" formControlName="fullName" id="fullName" required  class="form-control fc-eu" >
          <div *ngIf="fullName.invalid && (fullName.dirty || fullName.touched)"
              class="alert alert-danger">

            <div *ngIf="fullName.errors.required">
              El nombre es requerido.
            </div>
          </div>
          <label for="phone">Numero de contacto</label>
          <input type="text" formControlName="phone" id="phone" class="form-control fc-eu">
          <label for="email">Correo electronico</label>
          <input type="text" formControlName="email" id="email" class="form-control fc-eu">
          <label for="birthday">Fecha de nacimiento</label>
          <input type="date" formControlName="birthday" id="birthday" class="form-control fc-eu">    
      </div>
      <div class="col-sm-12 col-md-6 border-gray">
          <label for="departament">Departamento</label>
          <select  (change)="getDataCities(this)" formControlName="departament" class="form-control fc-eu">
              <option *ngFor="let c of departaments" [ngValue]="c.name">{{c.name}}</option>
          </select>
          <label for="departament">Ciudad</label>
          <select formControlName="city" class="form-control fc-eu">
              <option *ngFor="let city of cities" [ngValue]="city.name">{{city.name}}</option>
          </select>
          <div>
              <input type="checkbox" formControlName="terms" id="terms"  >
              <label for="terms">Acepto Terminos y condiciones</label>
          </div>
          <div>
              <input type="checkbox" formControlName="policy" id="policy">  
            <label for="policy">Acepto politica de tratamiento de datos</label>
              
          </div>
          
          
          
      </div>
    </div>
    <div class="row">
      <div class="col-sm content-button">
          <button (submit)="saveData()" class="fc-eu-button" [disabled]="!profileForm.valid"><i class="fas fa-pen"></i>Registrarme</button>
      </div>
    </div>
    
  </form>
  
  
</div>
